История изменений
-----------------
  [+] Новое
  [-] Исправлена ошибка
  [*] Исправлена ошибка и/или изменено к лучшему


-4.4-----------------------------------------------------------------22.10.2009-

  MyChat Client
  -------------
  [+] возможность установки автоответчика. Работает в онлайн и в оффлайн (Alt+U,
      закладка "Дополнительно");
  [+] возможность установки текста для автоматического приветствия в привате
      (Alt+U, закладка "Дополнительно");

  [-] если в канале навести мышку на пользователя в списке справа и задержать -
      появляется краткая информация о нём. При перемещении на другого
      пользователя информация обновлялась некорректно;
  [-] теперь переводы строк в форматированном сообщении, которое передаётся от
      робота Elisa в привате, отображаются корректно;
  [-] ошибка "Нет доступа к папке для приёма файлов", возникающая при первом
      приёме файлов от пользователя. При последующих сеансах ошибка не
      возникала;

  MyChat Server 
  -------------
  [+] настройка "Прятать в трей окно сервера по клавише Esc". "Настройки" -
      "Горячие клавиши";
  [+] контекстное меню, вызываемое по правой клавише мышки в окне "Управление
      пользователями". Пункты "Отметить всех", "Снять выделение", "Инвертировать
      выделение";
  [+] function mModifyLastPrivateMessage(uin_from, uin_to:integer;s_msg:string):
      integer - функция встроенного скрипт-языка для модификации последнего
      сообщения в привате;
  [+] function mGetLastPrivateMessage(uin_from, uin_to:integer):string - функция
      встроенного скрипт-языка для получения последнего сообщения в привате;
  [+] function mModifyLastChannelMessage(uin, uid:integer; s_msg:string):integer
      - функция встроенного скрипт-языка для модификации последнего сообщения в
      канале;
  [+] function mGetLastChannelMessage(var uin:integer;var uid:integer;chname:
      string):string - функция встроенного скрипт-языка для получения последнего
      сообщения в канале;
  [+] function LowerCase(st:string):string встроенного скрипт-языка для перевода
      строки в нижний регистр;
  [+] function UpperCase(st:string):string встроенного скрипт-языка для перевода
      строки в верхний регистр;

  [-] "Администрирование" - "Блокировки" - "Список заблокированных MAC адресов"
      нельзя было редактировать записи. Исправлено;

-4.3-----------------------------------------------------------------30.09.2009-

  MyChat Client
  -------------
  [+] теперь, если пользователь находится в домене и используется доменная
      авторизация - то при блокировке программы (Alt+L) запрашивается пароль.
      При работе не в домене, как и раньше, программа автоматически блокируется
      паролем, который указан при регистрации на сервере чата;
  [+] возможность установки в домене (MSI пакет) и автоматическое подключение к
      серверу, используя доменное имя пользователя;
  [+] теперь при первом запуске клиента, если профиля пользователя не существует
      в "Documents and Settings\%userprofile%\Local Settings\Application Data\...",
      он автоматически создаётся;

  [*] улучшен механизм загрузки обновлений;
  [*] в дополнительной информации теперь можно писать многострочный текст
      (Alt+I);
  [*] форма первичной регистрации дополнена такими полями: имя, фамилия,
      отчество, пол и e-mail. Поля для ввода - необязательные;

  [-] при отправке оповещения больше одного раза исчезали подписи к элементам
      интерфейса. Исправлено;
  [-] ошибка записи в реестр при сохранении настроек. Проявлялась при запуске
      из-под пользователя с ограниченными правами;
  [-] в настройках интерфейса клиента, если нажать кнопку "Очистить" напротив
      "Фон для каналов и приватов" и затем нажать "Применить" или "Ок" - фон
      не очищался. Исправлено;

  MyChat Server 
  -------------
  [+] интеграция с ActiveDirectory;
  [+] теперь в автосоздаваемые каналы можно присоединять любое количество групп
      пользователей, либо не присоединять никого вообще;

  [-] ошибка записи в реестр при сохранении настроек. Проявлялась при запуске
      из-под пользователя с ограниченными правами;


-4.2-----------------------------------------------------------------07.09.2009-

  MyChat Client
  -------------
  [+] при правом клике мышкой на html или email-линке появляется меню с пунктом
      "Скопировать ссылку";

  [-] "Настройки" -> "Интерфейс" -> "Фон для каналов и приватов" - на работало.
      Исправлено;
  [-] щелчок левой кнопкой мышки по смайлику в окне отправленных сообщений в
      канале вызывал падение клиента. Исправлено;
  [-] не работали ссылки http://, ftp:// в истории сообщений. Исправлено;
  [-] при клике мышкой в каналах и приватах по ссылке вида
      ftp://anonymous@192.168.10.1 ничего не происходило. Исправлено - теперь
      запускается IE и открывает ссылку;
  [-] гиперссылки в приветствиях каналов (RTF) не обрабатывались - по ним нельзя
      было перейти. Работали только прямые ссылки. Исправлено;

  MyChat Server 
  -------------
  [-] ошибка при удалении пользователя в "Управлении пользователями" (Alt+U).
      Исправлено;


-4.1-----------------------------------------------------------------03.09.2009-

  MyChat Client
  -------------
  [+] передача файлов и папок неограниченного размера между клиентами чата;
  [+] при подведении курсора мышки к нику пользователя в списке пользователей в
      каналах появляется окошко с краткой информацией об этом человеке (ник,
      UIN, ФИО, email и телефоны);
  [+] новая опция в настройках: "Показывать на закладках каналов счётчик
      пользователей";
  [+] в каналах и приватах можно изменять размер шрифта (правая кнопка мышки -
      "Размер шрифта");
  [+] опция "Настройки" -> "События" -> "Показывать штамп даты и времени". Опция
      отключаемая;

  [*] увеличена скорость прорисовки списка пользователей в каналах при
      изменениях ников или аватаров;
  [*] теперь в сообщениях корректно показываются смайлики из различных
      смайл-паков, отправленные другими пользователями чата;
  [*] добавлена возможность изменять цвет штампа даты и времени в сообщениях а
      также цвета ника, к которому идёт обращение в канале;
  [*] обновлён интерфейс программы;

  [-] не работал экспорт списка контактов в файл. Исправлено;
  [-] неправильно работала консольная команда "EXIT";
  [-] иногда программа могла стартовать очень долго, если в локальной
      windows-сети работает очень большое количество компьютеров без
      WINS-сервера. Исправлено;
  [-] если пришли отложенные сообщения в приват сразу после старта клиента и мы
      перешли в окошко, где отображаются сообщения, то в трее иконка продолжала
      мигать;
  [-] исправлены мелкие ошибки;

  MyChat Server 
  -------------
  [+] в приветствие автосоздаваемого канала теперь можно добавить RTF файл (до
      100 килобайт размером);
  [+] передача файлов и папок пользователям, которые находятся в данный момент
      оффлайн;
  [+] автоматическая система восстановления базы данных при возможных ошибках.
      Автовосстановление запускается при старте сервера, если при предыдущем
      запуске была ошибка;
  [+] теперь в фильтрах ("Фильтры" -> "IP фильтры") можно указать, с каких
      именно IP адресов будет разрешено подключаться клиентам к серверу.
      Возможно указывать также маски и диапазоны;
  [+] добавлена возможность указывать в списке заблокированных IP адресов маски
      (например, 192.168.?0.*) и целые диапазоны адресов (например,
      213.130.24.149-213.130.28.255);
  [+] фильтр нецензурных выражений теперь может также следить за названиями
      каналов, темами каналов и никами пользователей чата;
  [+] теперь можно указывать диск и каталог, где будут храниться личные файлы
      пользователей, которые пользуются встроенным в MyChat файловым FTP
      сервером;
  [+] добавлена возможность скрывать или показывать консоль в главном окне
      сервера;

  [*] "Администрирование" -> "Группы пользователей" : теперь можно переносить
      пользователей из группы в группу как по одному, так и сразу несколькими
      за раз. Отмечать пользователей можно мышкой с зажатой клавишей Ctrl;
  [*] улучшена работа фильтра плохих слов. Теперь фильтр успешно распознаёт
      подмены русских букв аналогичными по начертанию английскими, дополнена
      база нецензурных выражений;
  [*] полностью переработан инструмент "Управление пользователями" на сервере.
      Теперь он работает значительно быстрее и в целом стал более информативен;

  [-] при копировании списка контактов от одного пользователя нескольким сервер
      зависал ("Администрирование" -> "Удалённое управление". Исправлено;
  [-] неправильно работала консольная команда "EXIT";
  [-] исправлены мелкие ошибки.


-4.0-----------------------------------------------------------------03.07.2009-

  MyChat Client
  -------------
  [+] в настройки программы добавлена опция "Настройки"-"Сеть"-"Показывать
      счётчики трафика программы в главном окне". По умолчанию опция выключена;
  [+] инструмент для создания оповещений (Alt+B);
  [+] возможность вставки в каналы и приваты текста без html разметки (полезно 
      для WEB-мастеров и программистов). "Ctrl+W". Вставляется специальное
      окошко с линейками прокрутки прямо в текст сообщений;
  [+] возможность отправлять сообщения клиентам чата из командной строки
      (mcclient.exe /say uin:23 "Hello from command line");
  [+] возможность настройки цвета различных элементов интерфейса и текста в
      чате. "Настройки" -> "Интерфейс" -> "Цвета";
  [+] в настройках чата теперь можно указать фоновый рисунок в качестве подложки
      для окна сообщений в каналах и приватах. Поддерживаются форматы JPG, GIF и
      PNG;
  [+] теперь между закладками приватов и каналов можно перемещаться вправо и
      влево, просто нажимая комбинацию клавиш "Alt"+"стрелка вправо" или
      "Alt"+"стрелка влево";
  [+] Alt+левый клик по нику пользователя в канале открывает окно отправки
      приватного сообщения, Ctrl+левый клик мышкой - окно алерт сообщения;
  [+] возможность запрета закрытия программы пользователем (актуально для
      корпоративных пользователей). Меню "MyChat"->"Настройки программы"->
      "Главное"->"Запретить закрытие программы";
  [+] консольная команда "SET GROUP <uin> <id>" для переноса пользователей
      между группами или включения/удаления их в группы/из групп из консоли;
  [+] консольная команда "VIEWGROUP <id>" для просмотра списка пользователей,
      которые находятся в группе с указанным ID;
  [+] консольная команда "LIST GROUPS" - показать список зарегистрированных
      групп пользователей на MyChat сервере;
  [+] теперь в настройках можно указывать, сколько сообщений показывать в
      каналах, приватах и в консоли, перед тем как начинать автоматически
      удалять самые старые сообщения;
  [+] возможность автоматического скрытия главного окна программы в трей при
      бездействии пользователя (по умолчанию - включена, время - 15 минут);
  [+] возможность автоматического поиска MyChat серверов в локальной сети
      ("MyChat"->"Настройки чата"->"Изменить"->"Список серверов"->"Найти
      серверы");
  [+] теперь в чате можно вести персональный список игноров (пользователей, от
      которых вы не хотите принимать различные сообщения);
  [+] теперь ники пользователей, которые отображаются в тексте сообщений,
      активные. Если щёлкнуть левой кнопкой мышки - вставляется обращение, если
      правой кнопкой мышки - то появляется меню, аналогичное тому, что
      отображается при щелчке правой кнопкой мышки по нику пользователя в общем
      списке ников канала справа;
  [+] в списке серверов ("Настройки" -> "Сеть" -> "Изменить" можно
      экспортировать в файл и импортировать списки MyChat серверов);
  [+] панель с кнопками для переключения между каналами/приватами теперь можно
      располагать сверху, снизу, слева или справа (меню "Инструменты"->
     "Размещение закладок");
  [+] в "Любимых каналах" (Alt+V) теперь можно выделять сразу несколько каналов
      (с Ctrl-ом) для удаления. Также работает Ctrl+A для выделения всего списка
      каналов;

  [*] максимальная длина отправляемого сообщения ограничена до 10 000 символов;
  [*] теперь сообщения в трее не вылезают поверх работающего полноэкранного
      приложения, также автоматически блокируются алерт-сообщения;
  [*] теперь команда обращения "/hello" в каналах умеет воспринимает больше
      одного пользователя. Можно, удерживая клавишу "Alt", щёлкнуть
      последовательно сразу по нескольким пользователям в списке справа,
      обращение будет корректно сформировано;
  [*] Alt+клик левой кнопкой мышки по нику в списке пользователей канала
      теперь вставляет тег приветствия /hello в начало строки;
  [*] в заголовке главного окна теперь отображаеся ник пользователя и его UIN;
  [*] улучшен и упрощён "Менеджер учётных записей" (Alt+A);
  [*] после установки программы язык интерфейса выбирается автоматически, в 
      зависимости от того, на каком языке был запущен инсталлятор;
  [*] при смене темы канала, бане и прочих административных действиях в каналах
      показываются обновлённые, более заметные сообщения;
  [*] в закладках каналов и приватов теперь отображаются иконки (канал; канал,
      закрытый паролем; приват);
  [*] в списке серверов, к которым производится подключение, теперь можно
      указывать не только IP сервера, но и его DNS имя;
  [*] между объявлениями на доске делается разделительная линия;
  [*] увеличена скорость прорисовки списка ников в каналах при частых
      входах/выходах пользователей;
  [*] при вставке ссылки на канал в выпадающем списке больше не отображается
      канал, в котором мы в данный момент находимся;

  [-] иногда при подключении к несуществующему MyChat серверу кнопка подключения
      не становилась активной;
  [-] повышенная загрузка процессора при входе в канал "Викторина", которая
      пропадает после написания первого сообщения;
  [-] если стояла настройка "Показывать окно чата поверх всех окон"->"При
      получении нового сообщения в канале" и окно чата было активно, окно мигало
      и перерисовывалось;
  [-] если список MyChat серверов для подключения был пуст, при попытке
      соединения возникала ошибка;
  [-] ошибка, иногда возникающая при переключении между каналами/приватами;

  MyChat Server
  -------------
  [+] если сервер зарегистрирован, то при подключении пользователея ему
      отсылается информация об этом и показывается в закладке "консоль";
  [+] возможность ограничивать количество регистраций клиентов с одного и того
      же MAC адреса ("Администрирование", закладка "Разное", "Ограничить
      количество регистраций с одного MAC адреса");
  [+] возможность формировать единый список контактов чата для всех
      пользователей по группам автоматически;
  [+] процедура встроенного скрипт-языка MSL: 
      procedure SaveScreenToJPG(filename:string;quality:integer) - сохранение
      копии экрана в JPG файл с заданным качеством;
  [+] функция встроенного скрипт-языка MSL: function Random(x:integer):integer
      - получение случайного числа в диапазоне от 0 до x;
  [+] функция встроенного скрипт-языка MSL: 
      function PosEx(const SubStr,s:string;offset:cardinal):integer - поиск
      подстроки в строке, начиная с указанного символа;
  [+] функция встроенного скрипт-языка MSL: 
      function IsEXERunning(const EXEName:string;const FullPath:boolean):boolean
      - проверка, запущена ли указанная программа в данный момент или нет;
  [+] функция встроенного скрипт-языка MSL: 
      function EncodeBase64(const inStr:string):string - шифрование указанной
      строки по BASE64;
  [+] функция встроенного скрипт-языка MSL: 
      function DecodeBase64(const CinLine:string):string - дешифрование
      указанной строки по BASE64;
  [+] новая запись в правах групп: "Запретить изменение персональной панели
      контактов";
  [+] новая функция скриптового языка MSL - mAddNewBBSMessage: размещение нового
      сообщения на доске объявлений;

  [*] значительно повышена надёжность передачи сообщений клиентов. Некорректные
      сообщения (побитые при передаче из-за проблем в сети) автоматически
      уничтожаются; 
  [*] после установки программы язык интерфейса выбирается автоматически, в
      зависимости от того, на каком языке был запущен инсталлятор;

  [-] отложенные сообщения, которые отправлялись пользователям, не подключенным
      к серверу, обрезались до 255 символов в длину;
  [-] можно было добавить автосоздаваемый канал без названия;
  [-] если удалить всех пользователей - счётчик зарегистрированных пользователей
      в главном окне не обнулялся.


-3.9.5---------------------------------------------------------------06.03.2009-

  MyChat Client
  -------------
  [+] из доски объявлений (Ctrl+F12) теперь можно перейти в приват к любому
      пользователю, просто щёлкнув по его нику в подписи левой кнопкой мышки;
  [+] автоматические проверки на свежие версии;
  [+] в панели контактов теперь видно, кто подключен в данный момент к серверу,
      а кто нет;
  [+] во всех окнах, где вводится пароль, показывается иконка-индикатор текущей
      раскладки клавиатуры;
  [+] возможность установки оповещения, если какой-либо пользователь подключился
      к серверу. Настраивается в окне "Информация о пользователе" -> "Уникальные
      настройки" -> "Оповещать меня при входе в сеть этого человека";
  [+] всплывающие подсказки на изображениях знаков зодиака в окне информации о
      пользователе и автоматический переход по щелчку на них на статью в
      Wikipedia;
  [+] если в привате щёлкнуть по заголовку и выбрать "Скопировать имя учётной
      записи", то в буфер обмена записывается UIN пользователя, с которым
      ведётся разговор;
  [+] кнопка для загрузки новых наборов смайликов в настройках и аналогичный
      пункт во всплывающем меню настройки смайликов в каналах и приватах;
  [+] переход на сайты и написание письма по электронной почте по двойному
      щелчку на поле адреса в окне информации о пользователе (Alt+I);
  [+] функция проверки правописания в каналах и приватах;

  [*] если клиент не подключен к серверу - посмотреть логи сообщений было
      невозможно;
  [*] увеличена полезная площадь доски объявлений (Ctrl+F12);
  [*] теперь в доске объявлений можно использовать многострочные тексты с
      переводами строк;
  [*] cделано запоминание положения и размеров главного окна, а также
      запоминание того, была открыта или закрыта панель контактов (Alt+Q);
  [*] добавлена проверка на корректность ввода IP адреса сервера в настройках;
  [*] автоматическая подсветка ссылок в чате при наведении на них курсора
      (http:// и т.д.);
  [*] при открытии истории сообщений автоматически показываются сообщения за ту
      дату, когда мы последний раз общались с человеком;
  [*] теперь в окне истории сообщений в левой части жкрана кроме дат
      показываются и дни недели для удобства;

  [-] при добавлении в панель контактов новые контакты добавлялись в низ списка,
      сортировка происходила только после пересоединения с сервером;
  [-] в приветствии канала не отрисовывались смайлики и ссылки;
  [-] если нажать Alt+X и стоит опция подтверждения выхода, а потом из
      контекстного меню в трее выбрать завершение программы, возникала ошибка;
  [-] ошибка при экспорте профиля настроек ("Настройки" -> "Профили" ->
      "Сохранить профиль в файл"), если файл, куда производится экспорт, в
      данный момент занят другим приложением;
  [-] некорректно отображались гиперссылки в приватах;
  [-] ошибка при выполнении консольной команды "USERINFO 0";
  [-] если пользователь менял ник или аватар и он есть в нашем списке контактов
      - то ничего в контакт-листе не изменялось;

  MyChat Server
  -------------
  [+] возможность проверки на наличие обновлений с официального сайта Network 
      Software Solutions (меню "Справка" -> "Проверить обновления");
  [+] скриптовый язык на сервере (меню "Инструменты" -> "Редактор скриптов" или
      Alt+S). Реализовано более 100 сервисных функций для работы скриптового
      движка;
  [+] теперь в базе данных сервера пароли пользователей хранятся в виде MD5
      хэшей, а не в явном виде, как раньше. База данный сервера, как и ранее,
      шифруется;

  [*] возможность установки многострочного приветствия для автосоздаваемых
      каналов ("Администрирование" -> "Автосоздаваемые каналы" ->
      "Приветствие");
  [*] оптимизированы настройки сервера, теперь можно для встроенного FTP
      сервера слушать один сетевой интерфейс или все, которые есть в системе;
  [*] убрана панель со списком онлайн-пользователей справа;

  [-] если установить приветствие для существующего канала, то при заходе в него
      новых пользователей приветствие не отображается, нужен перезапуск сервера;
  [-] если нажать Alt+X и стоит опция подтверждения выхода, а потом из
      контекстного меню в трее выбрать завершение программы, возникала ошибка;
  [-] ошибка при вводе некорректного IP адреса для удалённой настройки
      подключения MyChat клиентов ("Администрирование" -> "Удалённое управление"
      -> "Изменить параметры подключения клиентов к MyChat Server");
  [-] антифлуд фильтр мог ошибаться в общих каналах, блокируя обычные сообщения;
  [-] в "Управлении пользователями" списки пользователей не всегда отображались
      в отсортированном виде;
  [-] если добавлялся контакт-лист пользователя другим пользователям, и в этом
      контакт-листе присутствовал человек, которому этот котакт лист
      записывался, могла быть ситуация, когда человек находился "сам у себя" в
      контакт-листе;
  [-] корректное удаление пользователей из "Управления пользователями";
  [-] ошибка, возникающая при отправке отложенного сообщения пользователю;
  [-] ошибка, иногда возникающая при изменении информации о пользователе.


-3.9-----------------------------------------------------------------29.12.2008-

  MyChat Client
  -------------
  [+] возможность переключения между наборами смайликов в каналах и приватах 
      (расширен функционал кнопки-смайлика);
  [+] новогодний набор смайликов;
  [+] консольная команда для администратора - CLEARBBS, для полной очистки доски
      объявлений;
  [+] новая звуковая схема;
  [+] теперь можно использовать прокрутку для наборов смайликов, если их слишком
      много и они не помещаются целиком на экране (пример - набор "extended");
  [+] расширены возможности окна истории сообщений ("Alt+H");
  [+] консольная команда ME <канал> <сообщение> - передать сообщение в указанный
      канал (по его UID);
  [+] в контекстном меню, вызываемом по правой кнопке мышки по нику пользователя
      в общем тексте сообщений - открыть сеанс привата;
  [+] при двойном клике левой кнопкой мышки на выделенном тексте в
      канале/привате открывается контекстное меню (как в браузере Opera);
  [+] в контекстном меню, вызываемом по правой кнопке мышки на пользователе в
      панели контактов, появился пункт "Кто это?" - получить подробную
      информацию о пользователе из панели контактов;
  [+] в окне информации о пользователе теперь отображается, подключен
      пользователь к серверу в данный момент или нет;
  [+] возможность вставки ссылки на канал (кнопка в канале "Вставить ссылку" -
      "Вставить ссылку на канал");

  [*] добавлены подсказки в панель контактов;
  [*] дополнено и расширено контекстное меню в системном трее;
  [*] дополнен стандартный набор смайликов на клиенте ("Classic");
  [*] если открыт сеанс привата, пользователь вышел из чата, а затем опять зашёл
      - в привате показывается не только то, что юзер отключился от сервера - но
      и то, то он подключился (если конечно, видно что он в канале появился);
  [*] добавлена кнопка на панели инструментов в правом верхнем углу. Туда же
      перенесён и менеджер учётных записей и кнопка блокировки программы;
  [*] убрано поле с ником пользователя и кнопкой изменения персональных данных
      в каналах (над списком пользователей);
  [*] переделана структура окон в настройках программы;
  [*] в окне открываемого привата, если пользователь не подключен к серверу,
      пишется сообщение об этом - но не вверху, как раньше, а внизу, после
      истории прочитанных сообщений;

  [-] ошибка, возникающая в случае запуска клиента чата без прав записи в
      собственную папку (например, не под администратором);
  [-] при добавлении нового контакта из контекстного меню в панели контактов
      кнопка "Ок" не всегда становилась активной, если UIN был <9;
  [-] не работала ссылка "Открыть папку с принятыми файлами" в привате после
      успешного приёма файла от другого человека;
  [-] ошибка, иногда возникающая при нажатии пункта из контектного меню в
      канале, если произошло отключение от сервера, а контектное меню ещё не
      успело закрыться;
  [-] неправильно работал импорт/экспорт настроек;


  MyChat Server
  -------------
  [+] срок хранения отложенных сообщений для пользователя ("Администрирование"
      -> "Разные настройки" -> "Максимальное время хранения отложенных
      сообщений");
  [+] максимальное количество хранимых отложенных сообщений для пользователя
      ("Администрирование" -> "Разные настройки" -> "Максимальное количество
      отложенных сообщений");
  [+] информация о количестве отложенных сообщений для каждого пользователя
      ("Управление пользователями" (Alt+U) -> закладка "Статистика" ->
      "Отложенных сообщений в базе данных");
  [+] консольная команда CLEARBBS - для очистки доски объявлений;
  [+] возможность написать приветствие для автосоздаваемых каналов
      ("Администрирование" -> "Автосоздаваемые каналы" -> "Список каналов" ->
      "Приветствие"). В приветствии можно использовать HTML;
  [+] возможность передать клиенту любое сообщение, если он зайдёт в приват к
      роботу Elisa ("Настройки" -> "Информация" -> "Сообщение для клиента,
      который подключается в приват к Elisa");
  [+] в управлении пользователями (Alt+U) на сервере можно производить поиск
      по нику, ФИО, IP, MAC, дате регистрации и последнего подключения;
  [+] подробная информация о создателе канала и прочего по двойному щелчку
      (или Enter) в списке каналов на сервере;

  [*] оптимизорована структура главного меню, убраны редко используемые пункты;

  [-] при изменении данных пользователя на закладке "Место работы" в "Управлении
      пользователями" (Alt+U) кнопка "Применить" не появлялась и сохранить
      изменённые данные не получалось;


  MyChat Client+Server
  --------------------
  [+] консольная команда TOPIC <UID канала> <новая тема канала> - установить
      новую тему канала;
  [+] консольная команда DELBADWORD - для удаления из базы данных фильтра
      плохих слов выбранного слова или выражения;

  [-] контроль на существование файлов локализации.
     

-3.8-----------------------------------------------------------------25.10.2008-

  MyChat Client
  -------------
  [+] возможность добавления ссылок на каналы чата (пиктограмма в канале
      "Вставить ссылку", пункт "Вставить ссылку на канал"). Работает в каналах и
      приватах;
  [+] сделана возможность автоматической регистрации на сервере, используя для
      ника логин в системе - с помощью ключа командной строки "/auto";
  [+] функция очистки окна канала у всех пользователей оператором канала
      (контектное меню в области сообщений - пункт "Очистить окно всем 
      пользователям");
  [+] в настройках в разделе <Звуки> сделано popup-меню с двумя пунктами 
      <Включить все звуки> и <Выключить все звуки>. Аналогично и в разделе
      "Сообщения";
  [+] возможность запуска под нужным профилем из командной строки;


  MyChat Server
  ------------- 
  [+] возможность запретить создание каналов с определёнными названиями 
      ("Администрирование" -> "Блокировки" -> "Список запрещённых каналов");
  [+] введена возможность указывать каналы, в которых не будет действовать
      фильтр плохих слов;
  [+] закладка личной статистики в окне <Управление пользователями>. Теперь
      можно увидеть когда был зарегистрирован пользователь, сколько сообщений в
      каналах, приватах и на доске объявлений он сделал, сколько банов получил;
  [+] возможность установки запрета на регистрацию определённых ников (на
      сервере такие ники регистрировать можно - в ручном режиме);
  [+] в главном окне теперь отображается, сколько пользователей зарегистрировано
      на сервере;
  [+] информация в окне "О программе" о том, на кого зарегистрирован сервер
      MyChat.

-3.7-----------------------------------------------------------------05.09.2008-

  MyChat Client
  -------------
  [+] теперь в качестве адреса MyChat сервера в свойствах подключения можно
      задавать не только IP адрес, но и DNS имя;
  [+] консольная команда "HELP" - выдаёт страницу справки, где поясняются все
      консольные команды MyChat Client-а;
  [+] поле электронной почты в информации о пользователе работает как ссылка;
  [+] возможность экспорта/импорта списка контактов;
  [+] инструмент для поиска людей, находящихся в канале (F3);
  [+] консольная команда "DEL BAN <индекс>" для снятия бана с определённым
      индексом с пользователя;
  [+] консольная команда "LIST BANS" - получение списка забаненных
      пользователей;
  [+] консольная команда "ADDBADWORD <"слово или словосочетание">" - добавление
      слова или словосочетания в список стоп-слов для фильтра нецензурных
      выражений;
  [+] консольная команда "COUNT CHANNELS" для получения количества созданных
      каналов на MyChat сервере;
  [+] консольная команда "LIST CHANNELS" для получения списка зарегистрированных
      каналов на MyChat Server и подробной информации о них;
  [+] консольная команда "UNBLMAC <MAC_address>" для разблокировки указанного
      MAC адреса сетевой карты в базе данных блокировок MyChat сервера;
  [+] консольная команда "UNBLIP <IP_address>" для разблокировки указанного IP
      в базе данных блокировок MyChat сервера;
  [+] консольная команда "BLUINMAC <UIN>" для установки блокировки на MAC адрес
      сетевой карты для подключения к MyChat Server по UIN пользователя,
      находящегося в online;
  [+] консольная команда "BLUINIP <UIN>" для установки блокировки на IP адрес
      для подключения к MyChat Server по UIN пользователя, находящегося в
      online;
  [+] консольная команда "HALT <UIN>" для отключения и завершения работы
      приложения пользователя с указанным UIN;
  [+] консольная команда "USERINFO <UIN>" для получения подробной информации о
      пользователе, зарегистрированном на сервере;
  [+] консольная команда "GETMAC <UIN>" для получения MAC адреса сетевой карты
      пользователя с заданным UIN, подключенного в данный момент к серверу;
  [+] консольная команда "GETIP <UIN>" для получения IP адреса пользователя с
      заданным UIN, подключенного в данный момент к серверу;
  [+] консольная команда "LIST AUSERS" для получения списка UIN-ов
      пользователей, которые в данный момент находятся в онлайн;
  [+] консольная команда "LIST REGUSERS" для получения списка UIN-ов
      пользователей, зарегистрированных на сервере;
  [+] консольная команда "COUNT AUSERS" для получения количества подключенных
      пользователей в данный момент;
  [+] консольная команда "COUNT REGUSERS" для получения количества
      зарегистрированных на сервере пользователей;
  [+] консольная команда "RESTART" для перезапуска сервера;
  [+] консольная команда "STOP" для остановки сервера;
  [+] консольная команда "KILL <UIN>" для отключения пользователя от сервера;

  [*] если приходит сообщение, а в нём линк - то в всплывающем окне в трее
      теперь возможен переход сразу по ссылке, не открывая окно чата;
  [*] "настройки"-"Файлы"-Выбор папки для сохранения принятых файлов. При
      нажатии на кнопку в окне выбора каталога не происходит автоматическое
      смещение на выбранный каталог;
  [*] для окна доски объявлений теперь можно изменять размеры. Правильно
      выравниваются сообщения на доске;
  [*] ужесточён контроль за правильностью ввода IP сервера чата в настройках
      серверов для подключения;
  [*] при нажатии на кнопку <Вернуть стандартный> возвращается стандартный скин
      и фон текста для окон чата;
  [*] теперь в каналах, приватах и в истории сообщений корректно отрабатывают
      ссылки на файлы в локальной сети. При попытке запуска exe, bat, com и
      reg выводится дополнительное предупреждение;
  [*] если пользователю кто-то пишет в приват, то вновь открывшееся окно
      привата не перехватывает фокус;

  [-] зависание при удалении учётной записи в "Менеджере учётных записей";
  [-] объявление не создавалось, если время актуальности выходило за пределы
      месяца;
  [-] в дате рождения пользователя неверно определялся знак зодиака "Рак" из-за
      неправильного диапазона;
  [-] если была вставлена ссылка на файл с расширениями html, htm, gif, bmp,
      jpg, jpeg (<Ctrl>+<L>) и файла не существует, то клик по ссылке вызывал
      ошибку;
  [-] когда пользователь вышел из чата, и после этого нажать правой кнопкой на
      него в общем канале, когда он ещё писал и посмотреть информацию о нем, то
      возникала ошибка;
  [-] когда выбирался файл для передачи в привате - в заголовке окна писалось
      "Изменить звук события";
  [-] не работали сочетания клавиш в привате <Alt>+<F3> для закрытия привата и
      <Alt>+<0..9> для вставки "быстрых" фраз;


  MyChat Server
  ------------- 
  [+] консольная команда "HELP" - выдаёт страницу справки, где поясняются все
      консольные команды MyChat Server-а
  [+] инструмент для заливки готового списка контактов пользователям чата
      (копирование списка у пользователя и загрузка из файла);
  [+] протоколирование FTP в отдельный файл;
  [+] удалённое управление сервером;
  [+] теперь по двойному клику на записи в списке подключенных пользователей (в
      главном окне справа) автоматически открывается окно "Управление
      пользователями" (<Alt>+<U>) с открытым пользователем;
  [+] теперь все команды удалённого управления сервером через консоль
      протоколируются не только в файле общего лога сервера "mcserv.log", но и
      в файле "remoteadm.log" - для удобства;
  [+] новый раздел прав для групп пользователей: "Удалённое администрирование
      сервера через консоль" для управления сервером через консоль клиента
      MyChat;

  [*] автоматический показ справки после первой установки сервера;
  [*] если собеседник состоит в спецгруппе "Операторы" (неважно какого канала),
      то пользователь сможет с ним общаться в приватах, несмотря на настройки
      своей группы;

  [-] "Администрирование"->"Автосоздаваемые каналы". При созданном канале, если
      производится вход по паролю, можно было не указывать, какую группу
      присоединять в канал;
  [-] при редактировании полей пользовательского аккаунта в "Управлении
      пользователями" при нажатии кнопки "Применить" аккаунт автоматически
      блокировался;
  [-] ошибка подсчёта количества людей в группах, если групп (при автоматическом
      входе туда пользователей);
  [-] ошибка при сохранении отредактированного объявления на сервере на доске
      объявлений (<Ctrl>+<F12>), если объявление не содержит текста;
  [-] ошибка при добавлении нового пользователя в список тех, кого не касаются
      настройки антифлуд-фильтров.

-3.6-----------------------------------------------------------------07.07.2008-

  MyChat Client
  -------------
  [+] добавлен пункт "обратиться в чате" в каналах. <Alt>+левый клик мышкой по
      нику пользователя в списке, работает, как и раньше;
  [+] по щелчку правой кнопкой мышки в каналах доступно то же меню, что и в
      списке пользователей (справа);
  [+] по Enter в списке пользователей в канале теперь открывается окно привата;
  [+] сделана кнопка для доски объявлений на панели инструментов в главном окне;
  [+] прокрутка последних введённых консольных команд клавишами <вверх> и <вниз>
      в консоли;

  [*] работает переключение между каналами/приватами/консолью с помощью
      стандартных комбинаций клавиш <Ctrl>+<Tab> и <Ctrl>+<Shift>+<Tab>;
  [*] сделан новый набор скинов;
  [*] добавлено в контекстное меню, вызываемое по правой клавише мышки
      <Ctrl>+<Вверх>, <Ctrl>+<Вниз> - прокрутка уже отправленных сообщений;

  [-] с левого края окна иногда пропадало полбуквы в каналах;
  [-] если в свойствах аккаунта (<Alt>+<U>) менять аватар кнопками вверх и вниз
      - то кнопка <Применить> не появлялась;
  [-] по двойному клику на юзере в канале, если уже открыт уже приват с этим
      юзером, автоматического перехода на окошко привата не происходило;
  [-] ошибка, возникающая при переключении между каналами/приватами/консолью;
  [-] не работала комбинация <Ctrl>+<C> при выделенном тексте в окне, где
      отображается отправленный текст (приваты, каналы);


  MyChat Server
  ------------- 
  [+] антифлуд-контроль;
  [+] фильтр мата и нецензурных выражений;
  [+] теперь в системном трее при наведении курсора на иконку сервера
      отображается версия сервера, порт для работы и количество присоединёных
      пользователей.

-3.5.2---------------------------------------------------------------28.01.2008-

  MyChat Client
  -------------
  [+] кнопки в панели инструментов (каналы/приваты) для выделения текста:
      жирный, наклонный, подчёркнутый, выделение цветом;
  [+] контекстные меню в окне просмотра истории сообщений для копирования текста
      в буфер обмена;
  [+] контекстные меню для каналов и приватов (окна с отправленными
      сообщениями);
  [+] возможность делать ссылку на файлы doc, xls, pcx, tif, cdr, eps и любые
      другие файлы в локальной сети;

  [*] Ctrl+C,V в окне ввода текста в каналах и приватах;

  [-] если ник пользователя включает в себя знак "&" - то в каналах в панели над
      списком ников он отображался как знак подчёркивания;
  [-] ошибка нехватки памяти, возникающая при обновлении базы данных протоколов
      разговоров с более ранных версий MyChat Client-а;
  [-] ошибка при получении личного сообщения, если канал уже закрыт, а сообщение
      пришло после закрытия закладки канала (для медленных каналов связи);
  [-] ошибка, возникающая при подключении смайл-пака, состоящего из более чем
      200 смайлов;
  [-] корректно открывается каталог с принятыми файлами в привате, после щелчка
      на "Открыть папку с принятыми файлами";
  [-] ошибка, иногда возникающая, если на клиенте и на сервера выставлены
      различные настройки, касающиеся системной даты;
  [-] на доске объявлений можно было выставить дату "Актуально до:" меньшую, чем
      сегодняшний день;
  [-] ошибка, иногда возникающая при завершении клиентского приложения ("Cannot
      make a visible window modal");
  [-] можно было добавить в список серверов, к которым можно подключаться,
      сервер с пустым IP-адресом;
  [-] ошибка, возникающая из-за того, что пользователь мог выставить себе
      "пустой" ник, те.е. не содержащий никаких знаков;
  [-] ошибка при импорте некорректно сформированного файла настроек ("'' is not
      a valid integer value.");
  [-] если вместо цифрового UIN в окне регистрации уже существующего
      пользователя в менеджере учётных записей ввести не цифру - возникала
      ошибка;
  [-] ошибка при добавлении уже существующего пользователя в менеджере учётных
      записей, если в поле UIN ничего не введено;


  MyChat Server
  ------------- 
  [*] поправлены погрешности перевода на украинский язык;
  [*] возможность подключать/отключать пользователей на сервере не только кликом
      мышки напртив пользователя в общем списке, но и клавишей <Пробел>;

  [-] запрет на создание каналов для пользователей, не входящих ни в одну из
      групп, не работал;
  [-] устранены несколько утечек памяти;
  [-] ошибка, иногда проявляющая при большой нагрузке: "Исчерпано максимальное
      количество соединений на сервере (1).";
  [-] ошибка при размещении объявления на доске, если у клиента и у сервера не
      совпадают системные установки даты/времени;


  MyChat Client+Server
  --------------------
  [+] рекламные возможности MyChat: возможность передавать клиентам линк на
      загрузку html-страницы, которую нужно отображать в нижней части окна MyChat
      Client-а (с указанием высоты окошка).

-3.5.1---------------------------------------------------------------10.01.2008-

  Bugfix release. Исправлено около десятка различных ошибок клиента и сервера.

-3.5-----------------------------------------------------------------24.12.2007-

  MyChat Client
  -------------
  [+] MyChat Client теперь умеет подключться через прокси-серверы;
  [+] теперь можно указать папку для файлов, которые присылают другие клиенты
      ("Настройки" -> "Файлы");
  [+] добавлены 40 новых аватаров;
  [+] возможность изменять цвет фона для окна сообщений и окна списка
      пользователей;
  [+] настройки для всплывающего окна уведомлений о новых сообщениях (каналы,
      приваты и достка объявлений);
  [+] настройка "Не убирать автоматически окно уведомление из трея" при
      получении новых сообщений;
  [+] при открытии привата можно показывать последние N сообщений, или
      сообщения за последние N минут. Сообщения показываются из истории в базе
      данных протоколов ("Настройки" -> "Сообщения");
  [+] функция "быстрые сообщения" для быстрой вставки в чат часто используемых
      выражений (<Alt>+<1..9>. <Alt+0> - редактирование шаблонов);
  [+] возможность отключения показа аватаров в списке пользователей в каналах
      чата;
  [+] панель советов по использованию программы, которая показывается при
      запуске в нижней части окна MyChat Client;
  [+] возможность устанавливать различные скины интерфейса программы (10 штук в
      стандартном наборе);
  [+] возможность блокировки автоматической прокрутки окна сообщений вниз при
      получении новых сообщений для удобного просмотра истории сообщений в
      каналах и приватах;
  [+] прокрутка истории своих сообщений в чате клавишей "Вверх" (курсор должен
      стоять в первой строчке и в первом столбце);
  [+] кнопка полной очистки истории сообщений в настройках клиента ("Настройки"
      -> "Протоколирование" -> "Очистить все протоколы");
  [+] возможность отправлять сообщения как клавишей <Enter>, так и комбинацией
      <Ctrl+Enter>;
  [+] добавлена кнопка "отправить текст" (опционально) в каналах и приватах;
  [+] возможность отключить преобразование текстовых смайликов в графические
      изображения;
  [+] настройка "Держать" соединение при плохом качестве соединения (для
      медленных каналов связи);
  [+] отправляемые большие сообщения автоматически "разрезаются" на куски по
      1024 байта во избежание возникновения переполнений;

  [*] в панели смайликов (<Ctrl+S>) теперь при проведении мышкой над
      изображением смайлика показывается его текстовый код;
  [*] панель смайликов теперь можно спрятать, просто щёлкнув на пустом месте
      окна программы, а не только клавишей <Esc>;
  [*] если "горячая" комбинация клавиш для вызова главного окна (по умолчанию
      <Win+Z>) занята другим приложением, выводится сообщение в системное окно;
  [*] исправлена и дополнена функция конвертации текста при неправильно
      выбранной раскладке клавиатуры <Ctrl+R>. Теперь, если текст не выделен -
      функция конвертирует весь набранный текст, а если выделен - то только
      выделенный фрагмент;
  [*] оптимизирован просмотр истории сообщений в каналах и приватах (<Ctrl+H>
      - окно истории);
  [*] теперь можно переходить по гиперссылкам щелчком мышки в окне истории
      сообщений;
  [*] автоматическое сохранение размеров окна списка каналов на сервере в окне
      соединения с сервером;
  [*] скролл-бар в правой части окошка соединения сервером в секции списка
      зарегистрированных каналов на MyChat сервере;
  [*] после перезапуска клиента теперь сохраняются ширина списка пользоватей в
      различных каналах, запоминается состояние панели контактов (вкл/выкл);

  [-] при изменении темы канала тема не изменяется в системном окне;
  [-] при переподключении к серверу MyChat Client отбирает фокус у активного
      приложения;
  [-] если пользователь отказался от приёма файла, полоска процентов прогресса
      передачи не исчезала;
  [-] в привате, перетащив резделительную полосу мышкой, можно было увидеть
      пустую панель передачи файлов;
  [-] ошибка, иногда возникающая при изгнании пользователя из канала (у
      пользователя, которого выгнали из канала, не всегда закрывался канал);
  [-] если выбрать в ниспадающем окошке в настройках другой сервер - кнопка
      "Применить" не появляется;
  [-] при нажатии правой кнопкой мышки на поле ввода текста (в каналах и в
      приватах) появлялось меню на английском языке;
  [-] нельзя скопировать текст из окна истории сообщений в буфер обмена;
  [-] в панели контактов при щелчке правой кнопкой мышки на группе контактов
      вместо пункта "Переименовать группу" отображалось "Посмотреть историю
      сообщений";
  [-] корректное открытие ссылок в окне чата (http://, ftp://, mailto: и так
      далее);
  [-] ошибка "A call to an OS function failed", если пользовательская сессия
      закрыта (<Win+L>) и приходит новое сообщение в привате;
  [-] ошибка записи на диск, возникающая при запуске клиента под системной
      учётной записью с ограниченными правами;
  [-] можно было в персональном профиле изменить свой ник на "пустой";


  MyChat Server
  ------------- 
  [+] встроенный FTP сервер;
  [+] автоматическая система баг-репортинга. При возникновении любой ошибки
      создаётся отчёт, который можно отослать разработчикам для оперативного
      исправления ошибки (файл mcserv.elf в папке программы);
  [+] возможность заблокировать доступ пользователя к чату, не удаляя его
      учётную запись ("Управление пользователями" - <Alt+U>);
  [+] сохранение в базе данных последних IP и MAC адресов, под которыми
      подключался клиент, а также даты и времени последнего подключения;
  [+] автоматическая чистка списка пользователей на сервере. Если пользователь
      не подключался n-ое количество времени - автоматически удалять его либо
      блокировать;

  [*] если "горячая" комбинация клавиш для вызова главного окна сервера (по
      умолчанию <Win+S>) занята другим приложением, выводится сообщение в окно
      лога;

  [-] если на компьютере уже был запущен FTP сервер - вываливалась ошибка при
      запуске встроенного FTP сервера;
  [-] ошибка при работе с базой данных сервера, иногда появляющаяся при работе
      большого количества клиентов одновременно;
  [-] если сервер был установлен на компьютере с привязкой к IP, а затем IP
      поменялся - запустить сервер не удавалось;
  [-] ошибка при загрузке списка сообщений об ошибках из файла языковых
      ресурсов;
  [-] при двойном клике на пустом месте в спсике каналов ("Администрирование"
      -> "Автосоздаваемые каналы") возникала ошибка;
  [-] при попытке подключения к MyChat Server программой Pidgin (клиентом ICQ
      для Linux) сервер выдавал ошибку и аварийно закрывался;
  [-] можно было в управлении пользователями изменить ник пользователя на
     "пустой";


  MyChat Client+Server
  --------------------
  [+] автоматическое обновление клиентов чата с сервера MyChat.

-3.4-----------------------------------------------------------------17.10.2007-

  MyChat Client
  -------------
  [+] теперь выдаётся специальное информационное сообщение при подключении к
      серверу, если версия клиента старая. Также из этого окна можно скачать
      свежую версию клиента чата
  [+] вставка в чат ссылок на локальные ресурсы (изображения, музыка, фильмы,
      программы) а также переход по ним
  [+] алерт сообщения
  [+] личные сообщения
  [+] при щелчке на всплывающем окне в трее открывать то окно, где было сказано
      сообщение (канал либо приват)
  [+] просмотр истории сообщений по щелчку правой кнопкой мышки на нике
      пользователя в общем канале
  [+] система баг-репортов

  [*] если открыт приват с пользователем и он изменил информацию о себе, то по
      Ctrl+U нужно обновлять информацию и в окне привата тоже (и на панели
      кнопок внизу)
  [*] сортировка пользователей в каналах по нику

  [-] неправильно отображаются некоторые ники - например Mc:<<D(m@N>>
  [-] если вставить в текст окрывающий тег форматирования текста, например
      <u> - и не вставить закрывающий - то весь текст в дальгейшем будет
      показываться подчёркнутым
  [-] если открыто окно привата и собеседник меняет свой аватар - иногда
      возникала ошибка
  [-] передача файлов не всегда работала - неправильно определялся собственный
      IP клиента
  [-] иногда неправильно работало изгнание пользователя из канала
  [-] ошибка при установке штампа времени при просмотре истории сообщений
  [-] не работал бан пользователей. Точнее, работал - но только в течении 30
      секунд
  [-] не работала функция отключения появления главного окна чата при получении
      нового сообщения на доске объявлений
  [-] при прокрутке колесом мыши или клавишами scrollbar остаётся неподвижным во
      всех окнах с текстом (канал, приват, история сообщений)
  [-] если изменить ник - то в панели над списком пользователей ник не менялся


  MyChat Server
  ------------- 
  [+] возможность запуска сервера как системной службы (system service)
  [+] просмотр MAC адреса и IP клиентов на сервере

-3.3-----------------------------------------------------------------01.10.2007-

  MyChat Client
  -------------
  [+] история сообщений в каналах и приватах в базе данных 

  [*] если закрываем приват либо канал - не переключать на окно лога с сервером 
  [*] если клиент отключился от чата - показывать сообщение об этом в привате
      (если возможно) 

  [-] F1 в окне любимых каналов для вызова справки 
  [-] ошибка при передаче сообщений в каналах и приватах, если в них встречается
      символ #8 (табуляция) - сообщения передавались не полностью 
  [-] завершение работы Windows при запущенном клиенте происходит некорректно -
      со второго раза 
  [-] в окне ввода текста в приватах и в каналах не работает прокрутка текста с
      помощью линейки прокрутки 


  MyChat Server
  ------------- 
  [+] стандартный набор прав для новых пользователей сделан редактируемым 

  [*] не делать предупреждения о невозможности добавления пользователя на
      сервере, если стоит запрет на добавление 

  [-] если клиенту было запрещено изменять свои личные данные - аватар он мог
      поменять всё равно 
  [-] ошибка при изменении темы автосоздаваемого канала в окне администрирования
      сервера 
  [-] если удалить группу, в которой находится пользователь - ему не назначается
      стандартный набор прав до следующего запуска клиента 
  [-] при создании канала, если не указать какую группу включать в этот канал -
      выдаётся сообщение об ошибке 


  MyChat Client+Server
  --------------------
  [+] Перевод продукта на украинский язык 
  [+] Перевод продукта на английский язык

-3.2-----------------------------------------------------------------17.07.2007-

  MyChat Client
  -------------
  [+] обработка опции "заходить в этот канал при следующем запуске" на клиенте 
  [+] "любимые каналы" на клиенте - кнопка в панели инструментов 
  [+] консольная команда VER - получить версию MyChat Client 
  [+] настройка временного штампа в логе сообщений 
  [+] экспорт/импорт настроек клиента в/из текстового файла 

  [*] комбинация клавиш для закрытия окна канала или привата заменена на Alt+F3 
  [*] щелчок мышкой по кнопке закрытия окна сворачивает чат в системный трей 

  [-] ошибка, иногда возникающая после переподключения к серверу 
  [-] если клиент запросил информацию об оффлайн-пользователе - вылетает ошибка 
  [-] при многократном создании одного и того же текстового канала на сервере -
      на клиенте в списке каналов появлялись дубликаты 
  [-] ошибка при получении приватного сообщения, если окно привата ещё не было
      открыто. Дальнейшие сообщения не показывались во всплывающих окнах в трее 


  MyChat Server
  -------------
  [+] возможность автоматического присоединения в канал не только всех
      пользователей, но и выборочно, по группам 
  [+] удалённое управление настройками клиентов с сервера 
  
  [*] автоматическое обновление базы данных сервера до следующей версии 

  [-] ошибка с получением списка каналов с сервера 


  MyChat Client+Server
  --------------------
  [+] передача файлов любого размера между клиентами чата 
  [+] консольная команда VERSERV - получить версию сервера 
  [+] во всех окнах чата - F1 - вызов справки

-3.1-----------------------------------------------------------------06.07.2007-

  MyChat Client
  -------------
  [+] закрывать текущее окно привата/канала по Ctrl+F4 
  [+] "горячая" комбинация клавиш на отключение от сервера - Alt+D 
  [+] цитирование последнего сообщения в каналах и приватах - Ctrl+Q 
  [+] вставка в текст сообщения ника собеседника из общего канала - Alt+левый
      клик мышкой на нике пользователя из общего списка 
  [+] получение информации о собеседнике в канале - правой кнопкой мышки по нику
      - "Информация о пользователе" 
  [+] в окне привата работает клик на адресе электронной почты (если он есть)
      собеседника - запускается почтовая программа 
  [+] Ctrl+U в окне привата - получить подробную информацию о пользователе 
  [+] Ctrl+"+" в привате - добавить пользователя в панель контактов 
  [+] контекстные меню для каналов и приватов (Скопировать, вставить и т.п.) 
  [+] консольная команда UPTIME - получить время непрерывной работы сервера 
  [+] автоматический анализ ссылок (http, ftp, e-mail и т.п.) в тексте и их
      выделение в каналах,приватах и на доске объявлений 
  [+] звуковой сигнал в чате для собеседника из окна привата (чтобы привлечь
      внимание например) - Ctrl+B 

  [*] при настройке параметров подключения к серверу после сохранения измененных
      параметров выбирается только что отредактированный сервер автоматически,
      чтобы его не нужно было "выбирать заново" из ниспадающего списка 

  [-] если чат только запущен и НИ РАЗУ не разворачивался из трея, то сообщения
      не приходят всплывающим окном (только приваты) 
  [-] если пришли отложенные сообщения, а чат свёрнут - это нигде не видно, пока
      не откроешь главное окно чата 
  [-] возможность отправки пустых строк в каналах и приватах 
  [-] обновлять аватары и ники пользователей в каналах, приватах и в контактах,
      если пользователь их сменил 
  [-] при получении отложенных сообщений не мигают иконки приватов в закладках в
      нижней части окна


  MyChat Server
  -------------
  [+] консольная команда UPTIME - получить время непрерывной работы сервера 
  [+] добавление новых пользователей на сервере в "Управлении пользователями" 
  [+] консольная команда HALT <UIN> - завершение работы клиентского приложения 
  [+] сервер | Управление пользователями - Удалить пользователя (Del) -
      работает, даже когда пользователь в онлайн 
  [+] сервер | Управление пользователями - Удалить всех пользователей - Alt+Del 

  [*] увеличена стабильность работы сервера за счёт усовершенствованой обработки
      сетевых ошибок 
  [*] пароли пользователей теперь не видны на сервере ни в протоколах, ни в
      административной части - в целях безопасности 
  [*] при регистрации нового пользователя на сервере в дату рождения
      автоматически прописывается текущая дата 
  [*] теперь можно менять любые параметры учётной записи пользователя на
      сервере, даже если пользователь в онлайне. Все изменения принимаются
     "на ходу" 


  MyChat Client+Server
  --------------------
  [-] если установлена опция "Запретить дублирование ников" - сделать
      ник-дубликат всё равно можно - через изменение своего аккаунта

--------------------------------------------------------------------------------